Skip to main content
Get Pipeline Element
curl --request GET \
  --url https://api.ionworks.com/pipelines/elements/{element_id}
{
  "id": "<string>",
  "pipeline_id": "<string>",
  "name": "<string>",
  "element_order": 123,
  "job_config": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "organization_id": "<string>",
  "job_id": "<string>",
  "result": {},
  "error": "<string>",
  "error_detail": {},
  "job_status": "<string>"
}

Path Parameters

element_id
string
required

Response

Successful Response

Model for representing a pipeline element in API responses.

id
string
required
pipeline_id
string
required
name
string
required
element_order
integer
required

Order of execution within the pipeline (1-based)

element_type
enum<string>
required

Type of job for this step

Available options:
Direct Entry,
Data Fit,
Calculation,
Validation
job_config
Job Config · object
required

Configuration parameters for the job

status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
skipped,
canceled
created_at
string<date-time>
required
updated_at
string<date-time>
required
organization_id
string
required

Organization this pipeline element belongs to.

job_id
string | null
result
Result · object
error
string | null
error_code
enum<string> | null

Machine-readable error codes for jobs.

Available options:
CONFIGURATION_ERROR,
SOLVER_ERROR,
EXECUTION_TIMEOUT,
SUBMISSION_FAILED,
INTERNAL_ERROR
error_detail
object
job_status
string | null

Job status via job_id (from jobs.status).